#ifndef _TRACEPLAY_COMMON_GL_H
#define _TRACEPLAY_COMMON_GL_H

#define GL_GLEXT_PROTOTYPES
#define GLX_GLXEXT_PROTOTYPES
#include <GL/glx.h>
#include <GL/gl.h>
#include <GL/glext.h>
#include <GL/glu.h>
#include "traceplay.h"

#ifdef __cplusplus
extern "C" {
#endif

void common_gl_playback_init(
    VdpDevice           vdp_device,
    VdpGetProcAddress * vdp_get_proc_address,
    uint32_t            win_width,
    uint32_t            win_height
);
void common_gl_do_gold_gl_tex_yuv_nv12x2_as_nv12(uint32_t frame_number, GLuint target, GLuint * texs);
void common_gl_do_gold_gl_tex_rgb(uint32_t frame_number, GLuint target, GLuint tex);
void common_gl_do_gold_window(uint32_t frame_number);
void common_gl_playback_fini();

#ifdef __cplusplus
}
#endif

#endif

